Subject: bug#39940: The variable operating-system-release

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Mar 2020 09:42:34 +0200

> From: Glenn Morris <[email-masked]>
> Date: Thu, 05 Mar 2020 20:19:31 -0500
> 
> I found the variable 'operating-system-release' for the first time today.
> 
> 1) This isn't what I would call the operating system release.
> Eg my current operating system is CentOS, release 8.1.
> operating-system-release is "4.18.0-147.5.1.el8_1.x86_64",
> which is the kernel version. (Surprising to find these two things
> mixed up in a GNU project. :) )
> 
> 2) I don't see why it is useful to have a Lisp variable for this
> (it had one use in the Emacs C code before c996fe1ec6).
> I suggest obsoleting it.

(My Git repository doesn't know about commit c996fe1ec6.  AFAICT, this
variable was added in 3bb9abc.)

Some relevant information:

This variable was added due to the issues discussed in this old
thread:

  https://lists.gnu.org/archive/html/emacs-devel/2005-01/msg00629.html

See also

  https://lists.gnu.org/archive/html/emacs-devel/2005-01/msg00835.html

(I guess I never got any responses, and so the documentation never
happened ;-)